--
-- PostgreSQL database dump
--

SET client_encoding = 'SQL_ASCII';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: history; Type: TABLE; Schema: public; Owner: milter-callback; Tablespace: 
--

CREATE TABLE history (
    connectdate timestamp without time zone,
    connectfrom character varying(256),
    helofrom character varying(256),
    relaypresip character varying(256),
    mxesthatreject integer,
    mxesthataccept integer,
    mxesoutoforder integer,
    mxesthattempfail integer,
    gracefuldns boolean,
    whitelisted boolean,
    resolvedrelayip character varying(256),
    receivinghost character varying(256),
    envfrom character varying(512),
    mxnum integer,
    action character varying(32)
);


ALTER TABLE public.history OWNER TO "milter-callback";

--
-- Name: whitelist; Type: TABLE; Schema: public; Owner: milter-callback; Tablespace: 
--

CREATE TABLE whitelist (
    whitelisteddate timestamp without time zone,
    whitelistedby character varying(256),
    address inet NOT NULL,
    comment character varying(1024)
);


ALTER TABLE public.whitelist OWNER TO "milter-callback";

--
-- Name: whitelist_pkey; Type: CONSTRAINT; Schema: public; Owner: milter-callback; Tablespace: 
--

ALTER TABLE ONLY whitelist
    ADD CONSTRAINT whitelist_pkey PRIMARY KEY (address);


--
-- Name: public; Type: ACL; Schema: -; Owner: pgsql
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM pgsql;
GRANT ALL ON SCHEMA public TO pgsql;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

